Package org.opensaml.xacml.policy

# Interface SubjectAttributeDesignatorType

All Superinterfaces:
  `AttributeDesignatorType`, `ExpressionType`, `XACMLObject`, `XMLObject`

All Known Implementing Classes:
  `SubjectAttributeDesignatorTypeImpl`

public interface SubjectAttributeDesignatorType extends AttributeDesignatorType
XACML SubjectAttributeDesignator schema type.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Local name of the element Obligation.
`static final QName`
`DEFAULT_ELEMENT_QNAME`
QName of the element Obligation.
`static final String`
`SCHEMA_TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`SCHEMA_TYPE_NAME`
QName of the XSI type.
`static final String`
`SUBJECT_CATEGORY_ATTRIB_NAME`
SubjectCategory attribute name.

### Fields inherited from interface org.opensaml.xacml.policy.AttributeDesignatorType

`ACTION_ATTRIBUTE_DESIGNATOR_ELEMENT_LOCAL_NAME, ACTION_ATTRIBUTE_DESIGNATOR_ELEMENT_NAME, ATTRIBUTE_ID_ATTRIB_NAME, DATA_TYPE_ATTRIB_NAME, ENVIRONMENT_ATTRIBUTE_DESIGNATOR_ELEMENT_LOCAL_NAME, ENVIRONMENT_ATTRIBUTE_DESIGNATOR_ELEMENT_NAME, ISSUER_ATTRIB_NAME, MUST_BE_PRESENT_ATTRIB_NAME, RESOURCE_ATTRIBUTE_DESIGNATOR_ELEMENT_LOCAL_NAME, RESOURCE_ATTRIBUTE_DESIGNATOR_ELEMENT_NAME, SUBJECT_ATTRIBUTE_DESIGNATOR_ELEMENT_LOCAL_NAME, SUBJECT_ATTRIBUTE_DESIGNATOR_ELEMENT_NAME`

### Fields inherited from interface org.opensaml.xacml.policy.ExpressionType

`DEFAULT_ELEMENT_NAME_XACML20`

## Method Summary

Modifier and Type
Method
Description
`String`
`getSubjectCategory()`
Gets the category of the Subject.
`void`
`setSubjectCategory(String category)`
Sets the category of the Subject.

### Methods inherited from interface org.opensaml.xacml.policy.AttributeDesignatorType

`getAttributeId, getDataType, getIssuer, getMustBePresent, getMustBePresentXSBoolean, setAttributeId, setDataType, setIssuer, setMustBePresent, setMustBePresentXSBoolean`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

static final String DEFAULT_ELEMENT_LOCAL_NAME
Local name of the element Obligation.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_QNAME

static final QName DEFAULT_ELEMENT_QNAME
QName of the element Obligation.

### SCHEMA_TYPE_LOCAL_NAME

static final String SCHEMA_TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### SCHEMA_TYPE_NAME

static final QName SCHEMA_TYPE_NAME
QName of the XSI type.

### SUBJECT_CATEGORY_ATTRIB_NAME

static final String SUBJECT_CATEGORY_ATTRIB_NAME
SubjectCategory attribute name.

See Also:
  - Constant Field Values

## Method Details

### getSubjectCategory

String getSubjectCategory()
Gets the category of the Subject.

Returns:
  category of the Subject

### setSubjectCategory

void setSubjectCategory(String category)
Sets the category of the Subject.

Parameters:
  `category` - category of the Subject